
%global with_debug 0

%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

%global build_dir           src/github.com/coredns/coredns

# coredns release version major.minor
%global coredns_major_version 1
%global coredns_minor_version 6
%global coredns_patch_version 5
#%global system_name		coredns

Name:           coredns
Version:        %{coredns_major_version}.%{coredns_minor_version}.%{coredns_patch_version}
Release:        1.0.3%{?dist}
BuildArch:      x86_64
Summary:        DNS and Service Discovery
License:        Apache-2.0
Group:          System/Management
Url:            https://github.com/coredns/coredns
Source:         %{name}-%{version}.tar.bz2
Vendor:         Oracle America
BuildRequires:  golang >= 1.13.15
%description
CoreDNS is a DNS server.
It can be used in a multitude of environments because of its flexibility.
CoreDNS chains plugins. Each plugin performs a DNS function, such as
Kubernetes service discovery, Prometheus metrics or rewriting queries.
And many more.

%prep
%setup -q -n coredns-%{version}
mkdir -p %{build_dir}
mv $(ls | grep -v "^src$") %{build_dir}
mv .presubmit %{build_dir}

%build
unset GOPROXY
pushd %{build_dir}
make

popd

%install
install -D -p -m 0755 %{build_dir}/coredns %{buildroot}%{_bindir}/%{name}
mv %{build_dir}/LICENSE .
mv %{build_dir}/THIRD_PARTY_LICENSES.txt .

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%{_bindir}/%{name}

%changelog
* Fri Aug 14 2020 Tom Cocozzello <tom.cocozzello@oracle.com> - 1.6.5-1.0.3
- Address CVE-2020-16845

* Fri Jan 24 2020 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.6.5-1.0.2
- Fix image location

* Wed Jan 08 2020 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 1.6.5-1.0.1
- Added Oracle specific build files
